#[ ZACATEK SOUBORU ]#

#DEF <SCHEMA>    food600
#DEF <PRIMARYKEY> idriadok
#DEF <TABLENAME> eft_par

#[ CREATE TABLE ZACATEK ]#
    idriadok serial NOT NULL,
    id character(2) NOT NULL DEFAULT '',
    eft_ipadr character(15) NOT NULL DEFAULT '',
    eft_lclpor numeric(4) NOT NULL DEFAULT 0,
    eft_rempor numeric(4) NOT NULL DEFAULT 0,
    eft_reqadr character(10) NOT NULL DEFAULT '',
    eft_com numeric(2) NOT NULL DEFAULT 0,
    eft_baud numeric(6) NOT NULL DEFAULT 0,
    eft_datb numeric(1) NOT NULL DEFAULT 8,
    eft_stopb numeric(1) NOT NULL DEFAULT 1,
    eft_parity numeric(1) NOT NULL DEFAULT 0,
    CONSTRAINT <TABLENAME>_<PRIMARYKEY> PRIMARY KEY (<PRIMARYKEY>)
#[ CREATE TABLE KONEC ]#

#[ IF EXIST ZACATEK ]#
#[ PRIMARYKEY ]#
	IF NOT EXISTS (SELECT column_name FROM information_schema.columns WHERE table_schema='<SCHEMA>' and table_name='eft_par' and column_name='eft_lclpor') THEN
		ALTER TABLE <SCHEMA>.eft_par ADD COLUMN eft_lclpor   numeric(4) NOT NULL DEFAULT 0;
	END IF;
END IF;

#[ KONEC SOUBORU ]#